#ifndef XGFXREFLECTIONPROBE_H
#define XGFXREFLECTIONPROBE_H

#include "xasset.h"
#include "xgfximage.h"

#include <QVector3D>

class XGfxReflectionProbe : public XAsset
{
public:
    explicit XGfxReflectionProbe();
    ~XGfxReflectionProbe();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    QVector3D mOrigin;
    XGfxImage *mReflectionImage;
};

#endif // XGFXREFLECTIONPROBE_H
